# Licensing

{% hint style="info" %}
Click [Here ](/license-option.md)to get details about RECOGNITO license option

[License Option](/license-option.md)
{% endhint %}

## Android Activation

To activate Android SDK, you have to first get your Application ID in your `android/app/build.gradle` file:

```gradle
android {
    ...
    defaultConfig {
        // TODO: Specify your own unique Application ID (https://developer.android.com/studio/build/application-id.html).
        applicationId "com.bio.facerecognition_flutter"
        // You can update the following values to match your application needs.
        // For more information, see: https://docs.flutter.dev/deployment/android#reviewing-the-gradle-build-configuration.
        minSdkVersion 24
        targetSdkVersion flutter.targetSdkVersion
        versionCode flutterVersionCode.toInteger()
        versionName flutterVersionName
    }
    ...
}
```

## iOS Activation

To activate iOS SDK, you have to get your Bundle ID.

```objectivec
buildSettings = {
	ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
	CLANG_ENABLE_MODULES = YES;
	CURRENT_PROJECT_VERSION = "$(FLUTTER_BUILD_NUMBER)";
	DEVELOPMENT_TEAM = "";
	ENABLE_BITCODE = NO;
	INFOPLIST_FILE = Runner/Info.plist;
	LD_RUNPATH_SEARCH_PATHS = (
		"$(inherited)",
		"@executable_path/Frameworks",
	);
	PRODUCT_BUNDLE_IDENTIFIER = com.bio.facedemo;
	PRODUCT_NAME = "$(TARGET_NAME)";
	SWIFT_OBJC_BRIDGING_HEADER = "Runner/Runner-Bridging-Header.h";
	SWIFT_VERSION = 5.0;
	VERSIONING_SYSTEM = "apple-generic";
};
```

## Request License

Share your Application ID and Bundle ID with us for license key.

[**Contact us**](/contact-and-support.md)

## Activate SDK

[Activate ](/face-recognition-sdk/integration-guide/flutter/api-reference.md#setactivation)the SDK with license key. Should be called before using of any other functions.

{% code title="main.dart" %}

```dart
try {
  if (Platform.isAndroid) {
    await _facesdkPlugin
        .setActivation(
            "EO5wcxhdMXJoLRpKq3Lexv2sTHPU8Ehed3vsBwmzdye/MJw+rVJTnY9SidD3vKV/2YNE6kufwIcC"
            "7LvLGFSORk3b14swPe7415aYSLKNI2RaUL5Nfn9oWHBjW1XehQLjLUx3w0Qi8bUth6vyg9Oaj7V7"
            "+dKruxjx/2dD2ddXKBoiIwYDonjW7gx7PmF9W66DXDtfRGpARvKW5Cn+jSCCH8A3Gft8wOBdQXM8"
            "UTDZUZxNbvozkgV6Dw9hMQJSka06iFK1h/UO6NrGLudt1SOC2b3hfoFJcAVjl3W7UTxzVyByJpLp"
            "tYTWJNr36pn1ixWhazLHC4s4TXtyQR67yzN3aw==")
        .then((value) => facepluginState = value ?? -1);
  } else {
    await _facesdkPlugin
        .setActivation(
            "H/Fs6Zgbsi9av6VVDAi54yqpYxnq0eDV3MSZAxMnARvUVePNY85UJu3d95nM7iO2RrCm19/eq+qb"
            "gSDmhJRYVJBMEUcxG+0cPPWVAW7m46dfS1Kpn+Flqbanfbco+Hd9Uda3aAzDkklzgdfYt7TvSXRt"
            "LZ8wW7jLiPjt8Lufj1GvhRzfESARv18VrxfQV+U8x3EqqvfKTJrkkg91NuAKvUZSoao4B5pQLpRd"
            "GwQ/saP9AQSWuyU1Zw+Whw/cnmXY2xZLGx6n/ict3NW9vpttv2tBbPCe/TdofRuJbE7R1Yb60BvQ"
            "ajzoaQWx3RsRgca9ah+Pccxb15tPVzr1apTK7A==")
        .then((value) => facepluginState = value ?? -1);
  }

  if (facepluginState == 0) {
    await _facesdkPlugin
        .init()
        .then((value) => facepluginState = value ?? -1);
  }
} catch (e) {}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.recognito.vision/face-recognition-sdk/integration-guide/flutter/licensing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
